"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = download;
var _fs = require("fs");
var _util = require("util");
var _stream = require("stream");
var _nodeFetch = _interopRequireDefault(require("node-fetch"));
const streamPipeline = (0, _util.promisify)(_stream.pipeline);
/**
 * Download a remote file and save it onto disk.
 */
async function download(URL, path) {
  try {
    const response = await (0, _nodeFetch.default)(URL);
    if (!response.ok) {
      throw new Error(`unexpected response ${response.statusText}`);
    }
    await streamPipeline(response.body, (0, _fs.createWriteStream)(path));
  } catch (e) {
    console.log(`[download]: Error while downloading ${URL}`, e);
  }
}

//# sourceMappingURL=download.js.map